org.apache.ignite.internal.processors.igfs

## Class IgfsContext

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsContext

    public class IgfsContext
    extends Object

IGFS context holding all required components for IGFS instance.

### Constructor Summary

Constructors
Constructor and Description
`IgfsContext(GridKernalContext ctx, FileSystemConfiguration cfg, IgfsMetaManager metaMgr, IgfsDataManager dataMgr, IgfsServerManager srvMgr, IgfsFragmentizerManager fragmentizerMgr)`

### Method Summary

Methods
`FileSystemConfiguration` `configuration()`
`IgfsDataManager` `data()`
`IgfsFragmentizerManager` `fragmentizer()`
`IgfsEx` `igfs()`
`boolean` `igfsNode(ClusterNode node)` Checks if given node is a IGFS node.
`GridKernalContext` `kernalContext()`
`List<IgfsManager>` `managers()`
`IgfsMetaManager` `meta()`
`void` `send(ClusterNode node, Object topic, IgfsCommunicationMessage msg, GridIoPolicy plc)`
`void` `send(UUID nodeId, Object topic, IgfsCommunicationMessage msg, GridIoPolicy plc)`
`IgfsServerManager` `server()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsContext

    public IgfsContext(GridKernalContext ctx,
               FileSystemConfiguration cfg,
               IgfsMetaManager metaMgr,
               IgfsDataManager dataMgr,
               IgfsServerManager srvMgr,
               IgfsFragmentizerManager fragmentizerMgr)
                throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
  `cfg` - IGFS configuration.
  `metaMgr` - Meta manager.
  `dataMgr` - Data manager.
  `srvMgr` - Server manager.
  `fragmentizerMgr` - Fragmentizer manager.
Throws:
  `IgniteCheckedException` - If IGFS context instantiation is failed.

### Method Detail

#### igfs

    public IgfsEx igfs()

Returns:
  IGFS instance.

#### kernalContext

    public GridKernalContext kernalContext()

Returns:
  Kernal context.

#### configuration

    public FileSystemConfiguration configuration()

Returns:
  IGFS configuration.

#### managers

    public List<IgfsManager> managers()

Returns:
  List of managers, in starting order.

#### meta

    public IgfsMetaManager meta()

Returns:
  Meta manager.

#### data

    public IgfsDataManager data()

Returns:
  Data manager.

#### server

    public IgfsServerManager server()

Returns:
  Server manager.

#### fragmentizer

    public IgfsFragmentizerManager fragmentizer()

Returns:
  Fragmentizer manager.

#### send

    public void send(UUID nodeId,
            Object topic,
            IgfsCommunicationMessage msg,
            GridIoPolicy plc)
              throws IgniteCheckedException

Parameters:
  `nodeId` - Node ID.
  `topic` - Topic.
  `msg` - Message.
  `plc` - Policy.
Throws:
  `IgniteCheckedException` - In case of error.

#### send

    public void send(ClusterNode node,
            Object topic,
            IgfsCommunicationMessage msg,
            GridIoPolicy plc)
              throws IgniteCheckedException

Parameters:
  `node` - Node.
  `topic` - Topic.
  `msg` - Message.
  `plc` - Policy.
Throws:
  `IgniteCheckedException` - In case of error.

#### igfsNode

    public boolean igfsNode(ClusterNode node)

Checks if given node is a IGFS node.

Parameters:
  `node` - Node to check.
Returns:
  `True` if node has IGFS with this name, `false` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015